Get All Scans History
curl --request GET \
--url https://api.projectdiscovery.io/v1/scans/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.projectdiscovery.io/v1/scans/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.projectdiscovery.io/v1/scans/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"current_page": 123,
"result_count": 123,
"total_results": 123,
"total_pages": 123,
"data": [
{
"completed_request": 123,
"name": "<string>",
"scan_id": "<string>",
"scan_time": "<string>",
"severity": {},
"status": "<string>",
"time": "<string>",
"total_request": 123,
"total_result": 123,
"total_target": 123,
"total_templates": 123,
"error_details": "<string>"
}
],
"total_completed_request": 123,
"total_scan_run": 123,
"total_unique_scan_run": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Scans
Get All Scans History
Get user scan history details
GET
/
v1
/
scans
/
history
Get All Scans History
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Query Parameters
number of rows to skip
number of rows to get
start date from which you want to get history
end date till which you want to get history
time range to get history
Available options:
current_month, last_month, last_3_months, last_6_months, last_12_months, all_time Response
Example response
Was this page helpful?
⌘I